Skip to main content
GET
List events

Authorizations

Authorization
string
header
required

A secret key, sk_test_... or sk_live_...; a publishable key (pk_...) on the browser routes only

Query Parameters

limit
integer
default:20

How many to return, 1 to 100.

Required range: 1 <= x <= 100
Example:

20

starting_after
string

The id of the last event of the previous page; the page after it is returned.

Required string length: 1 - 64
Example:

"evt_test_7Hs2kQ9mL1pXv4cR8tWzAbCdEf"

type
enum<string>

Only events of this type.

Available options:
payment.processing,
payment.authorized,
payment.succeeded,
payment.failed,
payment.canceled,
payment.returned,
refund.pending,
refund.succeeded,
refund.failed,
checkout_session.completed,
checkout_session.expired
Example:

"payment.failed"

Response

A page of events

object
enum<string>
required
Available options:
list
data
object[]
required
has_more
boolean
required